Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004170 [JEDI VCL] 00 JVCL Components minor always 2007-07-10 02:34 2008-02-21 06:42
Reporter alex_ist View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.32
Summary 0004170: JvImagesViewer does raise an exception on JvImagesViewer.Delete
Description I put an TJvImagesViewer onto my Delphi form and set a directory in Object Inspector.

An exception raise in run-time mode when I'm trying to delete one item.
JvImagesViewer.Delete(i) or JvImagesViewer.Items[i].Delete.
Additional Information
Tags No tags attached.
Attached Files zip file icon JvImagesViewer.zip [^] (365,360 bytes) 2007-07-10 03:49

- Relationships

-  Notes
(0013557)
obones (administrator)
2007-07-10 02:53

Please provide the zipped sources of a sample exception showing this.
(0013559)
alex_ist (reporter)
2007-07-10 03:54

Zipped sources file attached
(0013570)
alex_ist (reporter)
2007-07-13 01:14

Is there anything ?
(0013571)
obones (administrator)
2007-07-13 02:18

Well, we are short on resources at this time of the year so this will be looked at as soon as possible but it may take a few days/weeks.
(0013572)
alex_ist (reporter)
2007-07-13 02:49

ОК
(0013574)
jeronimo (reporter)
2007-07-14 03:35

This error is in the file JvCustomItemViewer.pas


procedure TJvCustomItemViewer.Delete(Index: Integer);
begin
  Deleted(Items[Index]);
  TObject(FItems[Index]).Free;
  FItems.Delete(Index);

  if SelectedIndex >= Count then
    SelectedIndex := Count - 1;
end;

In the line

TObject(FItems[Index]).Free;
La solution is deleted line
First it tries to release the memory and soon to erase it with which the error takes place
(0013921)
obones (administrator)
2007-10-12 07:08

I have just tried your demo with the very latest SVN content, I'm not seeing any problems with this.
(0014250)
obones (administrator)
2008-02-21 06:41

No reactions, I'm assuming this is fixed by the latest revisions.

- Issue History
Date Modified Username Field Change
2007-07-10 02:34 alex_ist New Issue
2007-07-10 02:36 alex_ist Issue Monitored: alex_ist
2007-07-10 02:53 obones Note Added: 0013557
2007-07-10 02:53 obones Status new => feedback
2007-07-10 03:49 alex_ist File Added: JvImagesViewer.zip
2007-07-10 03:54 alex_ist Note Added: 0013559
2007-07-12 00:12 alex_ist Issue End Monitor: alex_ist
2007-07-13 01:14 alex_ist Note Added: 0013570
2007-07-13 02:18 obones Note Added: 0013571
2007-07-13 02:49 alex_ist Note Added: 0013572
2007-07-14 03:35 jeronimo Note Added: 0013574
2007-07-14 03:36 jeronimo Issue Monitored: jeronimo
2007-07-14 03:38 jeronimo Issue End Monitor: jeronimo
2007-07-14 03:40 jeronimo Issue Monitored: jeronimo
2007-10-12 07:08 obones Note Added: 0013921
2008-02-21 06:41 obones Status feedback => resolved
2008-02-21 06:41 obones Fixed in Version => Daily / SVN
2008-02-21 06:41 obones Resolution open => fixed
2008-02-21 06:41 obones Assigned To => obones
2008-02-21 06:41 obones Note Added: 0014250


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker